package classes
{
	import flash.events.Event;

	public class DialogueEvent extends Event
	{
	
      public static const STATEMENT:String = "statement";
      public static const CHOICES:String = "choices";
      public static const END:String = "end";
      public static const DATA:String = "data";
      
      private var _data:String;      
      
      public function DialogueEvent(type:String, data:String){
        super(type, true);
         _data = data;
      }

	public function get data():String {
         return _data;
      }


      public override function clone():Event {
         return new DialogueEvent(type, _data);
      }
		
	}
}
